package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zsy
 * @description:领悟社会支持量表
 * @date 2021/7/20 15:55
 */
public class PSSSScale extends BaseScale{

    public PSSSScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public  JSONObject scaleCalculate() throws Exception {
        //得分
        int score = 0;
        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("checkItems").equals("极不同意")) {
                score += 1;
            } else if (jsonObject1.getString("checkItems").equals("很不同意")) {
                score += 2;
            } else if (jsonObject1.getString("checkItems").equals("稍不同意")) {
                score += 3;
            } else if (jsonObject1.getString("checkItems").equals("中立")) {
                score += 4;
            } else if (jsonObject1.getString("checkItems").equals("稍同意")) {
                score += 5;
            } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                score += 6;
            } else if (jsonObject1.getString("checkItems").equals("极同意")) {
                score += 7;
            }
        }
        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));
        if (score <= 36){
            resultMap.put("结论", "低支持状态");
            resultJson.put("结论", "低支持状态");
        }else if (score > 36 && score <= 60){
            resultMap.put("结论", "中支持状态");
            resultJson.put("结论", "中支持状态");
        }else {
            resultMap.put("结论", "高支持状态");
            resultJson.put("结论", "高支持状态");
        }

        List<Map<String,String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList",resultMapList);
        returnJson.put("scaleName",Constant.SHEET_NAME_PSSS);
        returnJson.put("resultJson",resultJson);

        return returnJson;
    }
}
